# Definition of the JSON 

Here we will describe each perts of the json. 

First in **calibration_type** you can chose between *parameters* and *interventions*. If you chose *parameters* you will be chosing to fit transition parameters on the duration specified on the model json (start date, end date), if you chose *interventions* you will be choosing to fit interventions parameters on a specified time step for the duration of the model json. 

Then the **output_file** is the name of the output file. The extension must be json. 

The **common** part needs to be filled for the two types of calibration. 
* **infected_curve** is a list of the number of infected people for each day. 
* **path_file_model** is the path to the json of the type of model you want to use to approximate the infected_curve. 

The **parameters_fitting** is a special part if you have chosen to fit parameters. 
* **params_to_optimize** is a list of the parameters you want to calibrate. For example you have a model with 3 parameters *beta*, *gamma* and *eta*. You just want to calibrate *beta*, in that case you have to put ["beta"] in this section. The value of *gamma* and *eta* will be taken for the json of the model. You have to know that if you want to optimize all the parameters of the model you can just put an empty list : []. Warning : you must give the same parameters order that you have on the model json. 
* **Starting_point** is a list of starting points for each parameters you want to calibrate. You have to give the same number of starting_point as the number of parameters to optimize. Warning : you must give the same parameters order that you have in the model json.  

**intervention_fitting** is the special part if you chose to fit intervention.
* **params_to_optimize** is a list of intervention parameters to optimize. For example, you want to optimize compliance for the mask intervention, you have to put [Mask.compliance]. 
* **time_step** is the interval of day you assume that parameters are constant. For example, for a model of 300 days with a *time_step* = 30. The software will give you 300/30 = 10 sets of parameters. 
* **starting_point** is a list of starting points for each parameters you want to calibrate. You have to give the same number of starting_point as the number of parameters to optimize. 

**options** All theses options aren't essential. If you don't want to fill it, you just have to put **None**
* **tolerance** is the precision of the calibration. The value needs to be between 0 and 1. 1 is the best you can have. Default value is 0.985.
* **max_iter** is the maximum number of iteration you allow to the algorithm. Default value is 500.
* **lower_bounds** is a list of the lower value for all your parameters. For example if you have 3 parameters to calibrate and the lower bounds are 0, you have to put [0,0,0]. Default value is 0 for every parameters.
*  **upper_bounds** is a list of the upper value for all your parameters. For example if you have 3 parameters to calibrate and the upper values are 0.5, 1 and 0.8, you have to put [0.5,1,0.8]. Default value is 1 for every paramaters.